# $Revision: 1.7 $, $Date: 2011/10/22 09:47:43 $
Summary:	Haskell Source code suggestions
Name:		hlint
Version:	1.8.15
Release:	2
License:	GPL
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/hlint/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	4ce291cb13ff410bff8f1b9adb9f8a34
Patch0:		%{name}-deps.patch
URL:		http://community.haskell.org/~ndm/hlint/
BuildRequires:	cpphs
BuildRequires:	ghc >= 6.12.3
BuildRequires:	ghc-haskell-src-exts
BuildRequires:	ghc-transformers
BuildRequires:	ghc-uniplate
BuildRequires:	hscolour
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
Obsoletes:	hlint-doc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

# don't compress haddoc files
%define		_noautocompressdoc	*.haddock

%description
HLint gives suggestions on how to improve your source code.

%prep
%setup -q
%patch0 -p1

%build
runhaskell Setup.hs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.hs build
runhaskell Setup.hs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.hs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
rm -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} %{name}-%{version}-doc

runhaskell Setup.hs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%attr(755,root,root) %{_bindir}/hlint
%{_libdir}/%{ghcdir}/package.conf.d/%{name}.conf
%{_libdir}/%{ghcdir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hlint.spec,v $
Revision 1.7  2011/10/22 09:47:43  baggins
- rel 2
- fix docs packaging

Revision 1.6  2011/09/27 21:34:50  baggins
- cpphs 1.13.1 is good too

Revision 1.5  2011/09/27 21:26:31  baggins
- 1.8.15

Revision 1.4  2011/02/28 09:25:08  glen
- %requires_eq dep on ghc, doc package, more macros

Revision 1.3  2010/12/15 13:50:23  baggins
- rel 1
- updated BRs
- updated files

Revision 1.2  2010/12/15 13:07:47  baggins
- added BRs

Revision 1.1  2010/12/15 12:50:49  baggins
- initial revision

